@import url("https://use.typekit.net/igz5jhe.css");

:root {
  --white: #ffffff;
  --black: #000000;
  --off-white-op-2: #F6F5F433;
  --red: #F32C30;
  --red-dark: #E3171BCC;

  --avant-garde: "itc-avant-garde-gothic-pro", sans-serif;
  --benguiat-pro: "itc-benguiat", serif;
  --benguiat-condensed: "itc-benguiat-condensed", serif;

  /* Fontes (shorthand) */
  --title: 36px/43px var(--benguiat-condensed)!important;
  --body: 16px/24px var(--avant-garde)!important;
  --body-max: 24px/24px var(--avant-garde)!important;
  --body-min: 12px/18px var(--avant-garde)!important;
  --button: 18px/27px var(--benguiat-pro)!important;

  --space-p: 20px;
  --space-m: 40px;
  --space-g: 60px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

html,
body {
  min-height: 100dvh;
  line-height: 1.5em;
  font: var(--body);
  background-color: var(--black)!important;
  color: var(--white)!important;
  scroll-behavior: smooth;
}

body {
    max-width: 600px;
    margin: 0px auto;
}

.js-form-item h4{
	color: var(--white)!important;
	font-weight: normal;
}

.contact_us{
	display: none!important;
}

.st-background {
  background-image: url(../assets/ST-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  min-height: 100vh;
}

.container {
  width: 100%;
  padding: 0px var(--space-p);
}

.st-header {
  height: 75px;
}

.st-header figure {
  height: 100%;
}

.st-header figure img {
  height: 45%;
  width: 100%;
  margin: 20px auto;
}

.st-main,
.st-unavailable {
  padding-bottom: 80px;
}

.st-main h1,
.st-success h1,
.st-unavailable h1 {
  font: var(--title);
  padding: var(--space-p);
  text-align: center;
  text-transform: uppercase;
}

.st-main p,
.st-success p,
.st-unavailable p {
  font: var(--body);
  padding: 0px var(--space-p);
  margin-bottom: var(--space-p);
  text-align: center;
}

.st-main figure {
  width: 100%;
  padding-bottom: 100%;
  position: relative;
}

.st-main figure img {
  width: 100%;
  height: 95%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
}

.st-button,
#cepForm button {
  text-transform: uppercase;
  text-align: center;
  background-color: var(--red-dark);
  border: 2px solid var(--red);
  box-shadow: 0px 0px 10px var(--red);
  color: var(--white);
  font: var(--button);
  width: 100%;
  height: 60px;
}

button#stOpenCepModal {
  position: fixed;
  bottom: 20px;
  right: 20px;
  left: 20px;
  width: calc(100% - 40px);
}

body:has(.cep-modal.show) {
  overflow: hidden;
}

div.messages.messages--status ul.messages__list li.messages__item{
  border-radius: 0px!important;
}
#ajax-message {
  margin-top: 0px!important;
}
._guest-campaign_success #block-titulodapagina{
  display: none!important;
}

.cep-modal {
  position: fixed;
  background-color: #000000dd;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transform: translateY(100%);
  transition: opacity 0.3s ease, transform 0.3s ease-out;
}

.cep-modal.show {
  opacity: 1;
  transform: translateY(0);
}

.container-cep-form .close-modal {
  margin-top: -20px;
  margin-right: -20px;
overflow: hidden;
}

.container-cep-form .close-modal:after {
  display: block;
  width: 12px;
  height: 12px;
  content: "";
  background-image: url(../assets/icone-x.svg);
  background-size: 12px;
  background-repeat: no-repeat;
  float: right;
}

.container-cep-form > h2{
  font: var(--body-max);
  padding-bottom: var(--space-p);
  text-align: center;
}

.container-cep-form > p{
  padding-bottom: var(--space-p);
  text-align: center;
}

.container-cep-form {
  background-color: var(--black);
  border: 2px solid #313131;
  padding: var(--space-m);
  margin: 0px auto;
  width: calc(100% - 2 * var(--space-p));
}

#cepForm input {
  width: 100%;
  background-color: var(--off-white-op-2);
  border: 2px solid transparent;
  padding: 15px var(--space-p);
  margin-bottom: var(--space-p);
  margin-top: 5px;
  color: var(--white);
  font: var(--body);
  height: 60px;
}


#cepForm input::placeholder {
  font: var(--body);
  color: white;
  opacity: 0.4;
}

#cepForm input:focus {
  border: 2px solid #F6F5F4;
  border-radius: 0px;
  outline: none;
}


.st-register-form, 
body._estoque-esgotado,
body._guest-campaign_success{
	background-image: url(../assets/ST-bg.png);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: 0px -90%;
  padding-bottom: 20px;
}
body._estoque-esgotado,
body._guest-campaign_success{
	background-position: 0px 130%;
}

.container-products-group {
  padding-top: 75px;
  margin-top: -75px;
}

.container-products-group figure {
width: 260px;
height: 240px;
margin: 0px auto;
}

.container-products-group figure img{
width: 100%;
height: 100%;
}

.container-products-group > p{
  margin-top: 10px;
  font: var(--body-min);
  text-align: center;
}

.container-products-group h1 {
  font: var(--title);
  text-transform: uppercase;
  text-align: center;
  padding: 60px 20px 0px 20px;
}

.container-form > p {
  padding-top: var(--space-p);
  padding-bottom: var(--space-m);
  text-align: center;
}

.st-form-container form h4{
  font-weight: 500;
  text-transform: inherit!important;
  font-family: revert;
}

.st-form-container form select,
.st-form-container form input:not([type="checkbox"]) {
  width: 100%!important;
  background-color: var(--off-white-op-2)!important;
  border: 2px solid transparent!important;
  padding: 15px var(--space-p)!important;
  margin-bottom: 0px!important;
  margin-top: 0px!important;
  color: var(--white)!important;
  font: var(--body)!important;
  height: 60px!important;
  box-sizing: border-box!important;
  border-radius: 0px!important;
}

.st-form-container form select::placeholder,
.st-form-container form input:not([type="checkbox"])::placeholder {
  font: var(--body);
  color: white;
  opacity: 0.4;
}

.st-form-container form select:focus,
.st-form-container form input:not([type="checkbox"]):focus{
  border: 2px solid #F6F5F4;
  border-radius: 0px;
  outline: none;
}

.st-form-container form select {
  --webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.st-form-container form select {
  background-image: url(../assets/icone-seta.svg)!important;
  background-repeat: no-repeat;
  background-position: right 20px center!important;
}

.st-form-container form #address-fieldset{
  border: none;
}

.st-form-container form input[type="submit"] {
  text-transform: uppercase;
  text-align: center;
  background-color: var(--red-dark)!important;
  border: 2px solid var(--red)!important;
  box-shadow: 0px 0px 10px var(--red)!important;
  margin: 0px!important;
  color: var(--white)!important;
  font: var(--button)!important;
  width: 100%!important;
  height: 60px!important;
  padding: 0px!important;
  border-radius: 0px!important;
  opacity: 0.5!important;
  pointer-events: none!important;
}
.st-form-container form input[type="submit"].showed{
	opacity: 1!important;
  	pointer-events: inherit!important;
}

.st-form-container form .qual_cep {
  font: var(--body-min);
  padding-bottom: var(--space-p);
  margin-top: -10px;
}

.st-form-container form .qual_cep a {
color: var(--white);
}

.st-form-container form label {
  font: var(--body-min);
  display: flex;
  gap: 10px;
  align-items: start;
  padding-bottom: var(--space-p);
  width: 100%;
}

.st-form-container form label input[type="checkbox"] {
  margin-top: 2px;
  appearance: none;
  width: 16px;
  height: 16px;
  background-color: var(--off-white-op-2);
  transition: all 0.3s ease;
  position: relative;
  cursor: pointer;
  flex-shrink: 0;
}

.st-form-container form label input[type="checkbox"]:checked {
  background-color: red; /* Cor vermelha quando marcado */
}

.st-form-container form label input[type="checkbox"]:checked::before {
  display: block;
  width: 12px;
  height: 9px;
  content: "";
  background-image: url(../assets/icone-check.svg);
  background-repeat: no-repeat;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.st-success {
  /*position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  transform: translate(-50%, -50%);
  padding-top: 100px !important;*/
}

.st-success figure {
  width: 100%;
  height: 250px;
  position: relative;
}

.st-success figure img {
  width: 75%;
  height: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.st-unavailable > figure {
  width: 260px;
  height: 240px;
  margin: 0px auto;
  margin-top: var(--space-g);
}

.st-unavailable > figure img {
  width: 100%;
  height: 100%;
}


.container-e-commerce {
  background-color: var(--black);
  padding: var(--space-p);
  margin-top: var(--space-g);

}

.container-e-commerce figure {
  width: 100%;
  height: 57px;
}

.container-e-commerce img {
  width: 100%;
  height: 100%;
}

.container-e-commerce a {
  margin-top: var(--space-p);
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.region.region-highlighted .messages__wrapper.layout-container{
	padding: 0px!important;
}
div.messages.messages--error ul.messages__list li.messages__item{
	border-radius: 0px!important;
}